Raporlar

Notlar
Expert level
API anahtarı, istekteki Authorization başlığında Bearer token olarak gönderilmelidir. API anahtarınızı alın.
Liste

API uç noktası:

GET
https://www.googleadsense.com.tr/public/api/v1/reports

İstek örneği:

curl --location --request GET 'https://www.googleadsense.com.tr/public/api/v1/reports' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parametre
Tür
Açıklama
search
i̇steğe bağlı string
Arama sorgusu.
search_by
i̇steğe bağlı string
Arama kriteri. Olası değerler: URL için url. Varsayılan: url.
website_id
i̇steğe bağlı integer
Web sitesi ID.
result
i̇steğe bağlı string
Sonuç. Olası değerler: İyi için good, Orta için decent, Kötü için bad.
sort_by
i̇steğe bağlı string
Sıralama kriteri. Olası değerler: Oluşturulma tarihi için id, URL için url, Puan için score. Varsayılan: id.
sort
i̇steğe bağlı string
Sırala. Olası değerler: Azalan için desc, Artan için asc. Varsayılan: desc.
per_page
i̇steğe bağlı integer
Sayfa başına sonuç. Olası değerler: 10, 25, 50, 100. Varsayılan: 10.
Göster

API uç noktası:

GET
https://www.googleadsense.com.tr/public/api/v1/reports/{id}

İstek örneği:

curl --location --request GET 'https://www.googleadsense.com.tr/public/api/v1/reports/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Depola

API uç noktası:

POST
https://www.googleadsense.com.tr/public/api/v1/reports

İstek örneği:

curl --location --request POST 'https://www.googleadsense.com.tr/public/api/v1/reports' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'url={url}'
Parametre
Tür
Açıklama
url
zorunlu string
URL.
Sil

API uç noktası:

DELETE
https://www.googleadsense.com.tr/public/api/v1/reports/{id}

İstek örneği:

curl --location --request DELETE 'https://www.googleadsense.com.tr/public/api/v1/reports/{id}' \
--header 'Authorization: Bearer {api_key}'